import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Grid from '@mui/material/Grid';
import './Banner.css';
export default function Banner(props) {
    const { a, b, banner, variant } = props;
    const { title, message, backgroundImage } = banner;
    const variantMap = {
        'two-column': [6, 6],
        'narrow-wide': [4, 8],
        'wide-narrow': [8, 4]
    };
    return (_jsxs("div", { style: { marginBottom: '2rem' }, children: [_jsx("div", { className: 'background-image-style', style: { backgroundImage: `url(${backgroundImage})` }, children: _jsx("div", { className: 'background-style content', children: _jsxs("div", { children: [_jsx("h1", { className: 'title', children: title }), _jsx("p", { className: 'message', children: message })] }) }) }), _jsxs(Grid, { container: true, item: true, xs: 12, className: 'banner-layout', spacing: 1, children: [_jsx(Grid, { item: true, xs: variantMap[variant][0], style: { padding: '1em' }, children: a }), _jsx(Grid, { item: true, xs: variantMap[variant][1], style: { padding: '1em' }, children: b })] })] }));
}
//# sourceMappingURL=Banner.js.map