import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card, CardContent, CardHeader, Typography } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(theme => ({
    root: {
        marginTop: theme.spacing(1),
        marginBottom: theme.spacing(1),
        borderLeft: '6px solid',
        borderLeftColor: theme.palette.primary.light
    }
}));
export default function Pulse(props) {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const { children } = props;
    const classes = useStyles();
    return (_jsxs(Card, { className: classes.root, children: [_jsx(CardHeader, { title: _jsx(Typography, { variant: 'h6', children: "Pulse" }) }), _jsx(CardContent, { children: _jsx(Typography, { children: "Pulse" }) })] }));
}
//# sourceMappingURL=Pulse.js.map