import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import makeStyles from '@mui/styles/makeStyles';
import Button from '@mui/material/Button';
import { Grid, Divider } from '@mui/material';
const useStyles = makeStyles(( /* theme */) => ({
    button: {
        padding: '0px 5px'
    },
    divider: {
        marginTop: '10px',
        marginBottom: '10px'
    }
}));
export default function ActionButtons(props) {
    const { arMainButtons = [], arSecondaryButtons = [], onButtonPress } = props;
    const classes = useStyles();
    const localizedVal = PCore.getLocaleUtils().getLocaleValue;
    const localeCategory = 'Assignment';
    function _onButtonPress(sAction, sButtonType) {
        onButtonPress(sAction, sButtonType);
    }
    return (_jsxs(_Fragment, { children: [_jsx(Divider, { className: classes.divider }), _jsxs(Grid, { container: true, spacing: 4, justifyContent: 'space-between', children: [_jsx(Grid, { item: true, children: _jsx(Grid, { container: true, spacing: 1, children: arSecondaryButtons.map(sButton => (_jsx(Grid, { item: true, children: _jsx(Button, { variant: 'contained', color: 'secondary', onClick: () => {
                                        _onButtonPress(sButton.jsAction, 'secondary');
                                    }, children: localizedVal(sButton.name, localeCategory) }) }, sButton.name))) }) }), _jsx(Grid, { item: true, children: _jsx(Grid, { container: true, spacing: 1, children: arMainButtons.map(mButton => (_jsx(Grid, { item: true, children: _jsx(Button, { variant: 'contained', color: 'primary', onClick: () => {
                                        _onButtonPress(mButton.jsAction, 'primary');
                                    }, children: localizedVal(mButton.name, localeCategory) }) }, mButton.name))) }) })] })] }));
}
//# sourceMappingURL=ActionButtons.js.map