import { jsx as _jsx } from "react/jsx-runtime";
import { getComponentFromMap } from '../../../../bridge/helpers/sdk_component_map';
/*
 * The wrapper handles knowing how to take in just children and mapping
 * to the Cosmos template.
 */
export default function NarrowWidePage(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const NarrowWide = getComponentFromMap('NarrowWide');
    const { children, title, templateCol = '1fr 1fr', icon = '' } = props;
    const childrenToRender = children;
    return (_jsx("div", { children: _jsx(NarrowWide, { a: childrenToRender[0], b: childrenToRender[1], title: title, cols: templateCol, icon: icon?.replace('pi pi-', '') }) }));
}
//# sourceMappingURL=NarrowWidePage.js.map