import { jsx as _jsx } from "react/jsx-runtime";
import { getComponentFromMap } from '../../../../bridge/helpers/sdk_component_map';
/*
 * The wrapper handles knowing how to take in just children
 *  and mapping to the TwoColumn template.
 */
export default function OneColumnPage(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const OneColumn = getComponentFromMap('OneColumn');
    return _jsx(OneColumn, { ...props });
}
//# sourceMappingURL=OneColumnPage.js.map