import { jsx as _jsx } from "react/jsx-runtime";
import { getComponentFromMap } from '../../../bridge/helpers/sdk_component_map';
export default function SummaryList(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const SummaryItem = getComponentFromMap('SummaryItem');
    const { menuIconOverride$: menuOverride = '' } = props;
    return (_jsx("div", { children: props.arItems$.map(file => (_jsx(SummaryItem, { "menuIconOverride$": menuOverride, "arItems$": file, "menuIconOverrideAction$": props.menuIconOverrideAction$ }, file.id))) }));
}
//# sourceMappingURL=SummaryList.js.map