export default pegaSdkComponentMap;
declare namespace pegaSdkComponentMap {
    export { ActionButtons };
    export { ActionButtonsForFileUtil };
    export { AlertBanner };
    export { AppAnnouncement };
    export { AppShell };
    export { Assignment };
    export { AssignmentCard };
    export { Attachment };
    export { AutoComplete };
    export { Banner };
    export { BannerPage };
    export { CancelAlert };
    export { CaseHistory };
    export { CaseSummary };
    export { CaseSummaryFields };
    export { CaseView };
    export { CaseViewActionsMenu };
    export { Checkbox };
    export { Confirmation };
    export { Currency };
    export { DashboardFilter };
    export { DataReference };
    export { Date };
    export { DateTime };
    export { Decimal };
    export { DefaultForm };
    export { DeferLoad };
    export { Details };
    export { DetailsSubTabs };
    export { DetailsThreeColumn };
    export { DetailsTwoColumn };
    export { Dropdown };
    export { DynamicTabs };
    export { Email };
    export { ErrorBoundary };
    export { FieldGroup };
    export { FieldGroupList };
    export { FieldGroupTemplate };
    export { FieldValueList };
    export { FileUtility };
    export { FlowContainer };
    export { Followers };
    export { Group };
    export { InlineDashboard };
    export { InlineDashboardPage };
    export { Integer };
    export { LeftAlignVerticalTabs };
    export { ListPage };
    export { ListView };
    export { ListViewActionButtons };
    export { ModalViewContainer };
    export { MultiReferenceReadOnly };
    export { Multiselect };
    export { MultiStep };
    export { NarrowWide };
    export { NarrowWideDetails };
    export { NarrowWideForm };
    export { NarrowWidePage };
    export { NavBar };
    export { OneColumn };
    export { OneColumnPage };
    export { OneColumnTab };
    export { Operator };
    export { Percentage };
    export { Phone };
    export { PromotedFilters };
    export { Pulse };
    export { QuickCreate };
    export { Reference as reference };
    export { RadioButtons };
    export { Region };
    export { RichText };
    export { RichTextEditor };
    export { RootContainer };
    export { ScalarList };
    export { SemanticLink };
    export { SimpleTable };
    export { SimpleTableManual };
    export { SimpleTableSelect };
    export { SingleReferenceReadOnly };
    export { Stages };
    export { SubTabs };
    export { SummaryItem };
    export { SummaryList };
    export { TextArea };
    export { TextContent };
    export { TextInput };
    export { Time };
    export { ToDo as Todo };
    export { TwoColumn };
    export { TwoColumnPage };
    export { TwoColumnTab };
    export { URL };
    export { UserReference };
    export { VerticalTabs };
    export { View };
    export { ViewContainer };
    export { WideNarrow };
    export { WideNarrowDetails };
    export { WideNarrowForm };
    export { WideNarrowPage };
    export { WssNavBar };
    export { WssQuickCreate };
}
import ActionButtons from "../lib/components/infra/ActionButtons";
import ActionButtonsForFileUtil from "./components/widget/FileUtility/ActionButtonsForFileUtil";
import AlertBanner from "./components/designSystemExtension/AlertBanner";
import AppAnnouncement from "./components/widget/AppAnnouncement";
import AppShell from "./components/template/AppShell/AppShell";
import Assignment from "./components/infra/Assignment/Assignment";
import AssignmentCard from "./components/infra/AssignmentCard/AssignmentCard";
import Attachment from "./components/widget/Attachment";
import AutoComplete from "./components/field/AutoComplete";
import Banner from "./components/designSystemExtension/Banner";
import BannerPage from "./components/template/BannerPage";
import CancelAlert from "./components/field/CancelAlert";
import CaseHistory from "./components/widget/CaseHistory";
import CaseSummary from "./components/template/CaseSummary";
import CaseSummaryFields from "./components/designSystemExtension/CaseSummaryFields";
import CaseView from "./components/template/CaseView";
import CaseViewActionsMenu from "./components/template/CaseViewActionsMenu";
import Checkbox from "./components/field/Checkbox";
import Confirmation from "./components/template/Confirmation";
import Currency from "./components/field/Currency";
import DashboardFilter from "./components/infra/DashboardFilter";
import DataReference from "./components/template/DataReference";
import Date from "./components/field/Date";
import DateTime from "./components/field/DateTime";
import Decimal from "./components/field/Decimal";
import DefaultForm from "./components/template/DefaultForm";
import DeferLoad from "./components/infra/DeferLoad";
import Details from "./components/template/Details/Details";
import DetailsSubTabs from "./components/template/Details/DetailsSubTabs";
import DetailsThreeColumn from "./components/template/Details/DetailsThreeColumn";
import DetailsTwoColumn from "./components/template/Details/DetailsTwoColumn/DetailsTwoColumn";
import Dropdown from "./components/field/Dropdown";
import DynamicTabs from "./components/template/Details/DynamicTabs";
import Email from "./components/field/Email/Email";
import ErrorBoundary from "./components/infra/ErrorBoundary";
import FieldGroup from "./components/designSystemExtension/FieldGroup";
import FieldGroupList from "./components/designSystemExtension/FieldGroupList";
import FieldGroupTemplate from "./components/template/FieldGroupTemplate";
import FieldValueList from "./components/designSystemExtension/FieldValueList";
import FileUtility from "./components/widget/FileUtility/FileUtility";
import FlowContainer from "./components/infra/Containers/FlowContainer";
import Followers from "./components/widget/Followers";
import Group from "./components/field/Group";
import InlineDashboard from "./components/template/InlineDashboard";
import InlineDashboardPage from "./components/template/InlineDashboardPage/InlineDashboardPage";
import Integer from "./components/field/Integer";
import LeftAlignVerticalTabs from "./components/infra/VerticalTabs/LeftAlignVerticalTabs";
import ListPage from "./components/template/ListPage/ListPage";
import ListView from "./components/template/ListView";
import ListViewActionButtons from "./components/infra/Containers/ModalViewContainer/ListViewActionButtons";
import ModalViewContainer from "./components/infra/Containers/ModalViewContainer/ModalViewContainer";
import MultiReferenceReadOnly from "./components/template/MultiReferenceReadOnly";
import Multiselect from "./components/field/Multiselect/Multiselect";
import MultiStep from "./components/infra/MultiStep";
import NarrowWide from "./components/template/NarrowWide/NarrowWide";
import NarrowWideDetails from "./components/template/NarrowWide/NarrowWideDetails";
import NarrowWideForm from "./components/template/NarrowWide/NarrowWideForm";
import NarrowWidePage from "./components/template/NarrowWide/NarrowWidePage";
import NavBar from "./components/infra/NavBar";
import OneColumn from "./components/template/OneColumn/OneColumn";
import OneColumnPage from "./components/template/OneColumn/OneColumnPage";
import OneColumnTab from "./components/template/OneColumn/OneColumnTab";
import Operator from "./components/designSystemExtension/Operator";
import Percentage from "./components/field/Percentage";
import Phone from "./components/field/Phone/Phone";
import PromotedFilters from "./components/template/PromotedFilters";
import Pulse from "./components/designSystemExtension/Pulse";
import QuickCreate from "./components/widget/QuickCreate";
import Reference from "./components/infra/Reference/Reference";
import RadioButtons from "./components/field/RadioButtons";
import Region from "./components/infra/Region/Region";
import RichText from "./components/field/RichText";
import RichTextEditor from "./components/designSystemExtension/RichTextEditor";
import RootContainer from "./components/infra/RootContainer/RootContainer";
import ScalarList from "./components/field/ScalarList";
import SemanticLink from "./components/field/SemanticLink";
import SimpleTable from "./components/template/SimpleTable/SimpleTable";
import SimpleTableManual from "./components/template/SimpleTable/SimpleTableManual";
import SimpleTableSelect from "./components/template/SimpleTable/SimpleTableSelect";
import SingleReferenceReadOnly from "./components/template/SingleReferenceReadOnly";
import Stages from "./components/infra/Stages";
import SubTabs from "./components/template/SubTabs";
import SummaryItem from "./components/widget/SummaryItem";
import SummaryList from "./components/widget/SummaryList";
import TextArea from "./components/field/TextArea";
import TextContent from "./components/field/TextContent";
import TextInput from "./components/field/TextInput/TextInput";
import Time from "./components/field/Time";
import ToDo from "./components/widget/ToDo";
import TwoColumn from "./components/template/TwoColumn/TwoColumn";
import TwoColumnPage from "./components/template/TwoColumn/TwoColumnPage";
import TwoColumnTab from "./components/template/TwoColumn/TwoColumnTab";
import URL from "./components/field/URL";
import UserReference from "./components/field/UserReference";
import VerticalTabs from "./components/infra/VerticalTabs/VerticalTabs";
import View from "./components/infra/View";
import ViewContainer from "./components/infra/Containers/ViewContainer";
import WideNarrow from "./components/template/WideNarrow/WideNarrow";
import WideNarrowDetails from "./components/template/WideNarrow/WideNarrowDetails";
import WideNarrowForm from "./components/template/WideNarrow/WideNarrowForm";
import WideNarrowPage from "./components/template/WideNarrow/WideNarrowPage";
import WssNavBar from "./components/template/WssNavBar/WssNavBar";
import WssQuickCreate from "./components/designSystemExtension/WssQuickCreate";
//# sourceMappingURL=sdk-pega-component-map.d.ts.map