import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Grid from '@mui/material/Grid';
import Divider from '@mui/material/Divider';
import Link from '@mui/material/Link';
import { Utils } from '../../helpers/utils';
export default function FieldGroupList(props) {
    let menuIconOverride$ = 'trash';
    if (menuIconOverride$) {
        menuIconOverride$ = Utils.getImageSrc(menuIconOverride$, Utils.getSDKStaticConentUrl());
    }
    return (_jsx(Grid, { container: true, spacing: 4, justifyContent: 'space-between', children: _jsx(Grid, { item: true, style: { width: '100%' }, children: _jsxs(Grid, { container: true, spacing: 1, children: [props.items.map(item => (_jsxs(Grid, { item: true, style: { width: '100%' }, children: [_jsx("b", { children: item.name }), props.onDelete && (_jsx("button", { type: 'button', style: { float: 'right' }, className: 'psdk-utility-button', id: `delete-row-${item.id}`, "aria-label": 'Delete Row', onClick: () => {
                                    props.onDelete(item.id);
                                }, children: _jsx("img", { className: 'psdk-utility-card-action-svg-icon', src: menuIconOverride$ }) })), item.children, _jsx("br", {}), props.onAdd && _jsx(Divider, {}), _jsx("br", {})] }))), props.onAdd && (_jsx(Link, { onClick: props.onAdd, style: { cursor: 'pointer' }, underline: 'hover', children: "+Add" }))] }) }) }));
}
//# sourceMappingURL=FieldGroupList.js.map