import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button } from '@mui/material';
import './WssQuickCreate.css';
export default function WssQuickCreate(props) {
    const { heading, actions } = props;
    return (_jsxs("div", { children: [_jsx("h1", { id: 'quick-links-heading', className: 'quick-link-heading', children: heading }), _jsx("ul", { id: 'quick-links', className: 'quick-link-ul-list', children: actions &&
                    actions.map(element => {
                        return (_jsx("li", { className: 'quick-link-list', children: _jsx(Button, { className: 'quick-link-button', onClick: element.onClick, children: _jsxs("span", { className: 'quick-link-button-span', children: [element.icon && _jsx("img", { className: 'quick-link-icon', src: element.icon }), _jsx("span", { children: element.label })] }) }) }, element.label));
                    }) })] }));
}
//# sourceMappingURL=WssQuickCreate.js.map