import { jsx as _jsx } from "react/jsx-runtime";
import { Typography } from '@mui/material';
export default function TextContent(props) {
    const { content, displayAs } = props;
    let theVariant = 'body1';
    switch (displayAs) {
        case 'Paragraph':
            theVariant = 'body1';
            break;
        case 'Heading 1':
            theVariant = 'h1';
            break;
        case 'Heading 2':
            theVariant = 'h2';
            break;
        case 'Heading 3':
            theVariant = 'h3';
            break;
        case 'Heading 4':
            theVariant = 'h4';
            break;
        default:
            // eslint-disable-next-line no-console
            console.error(`TextContent got an expected displayAs prop: ${displayAs}`);
            break;
    }
    return _jsx(Typography, { variant: theVariant, children: content });
}
//# sourceMappingURL=TextContent.js.map