import { jsx as _jsx } from "react/jsx-runtime";
import { getComponentFromMap } from '../../../bridge/helpers/sdk_component_map';
export default function ListPage(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const ListView = getComponentFromMap('ListView');
    // special case for ListView - add in a prop
    const listViewProps = { ...props, bInForm: false };
    return _jsx(ListView, { ...listViewProps });
}
//# sourceMappingURL=ListPage.js.map