import { jsx as _jsx } from "react/jsx-runtime";
import { Grid } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(( /* theme */) => ({
    colStyles: {
        display: 'grid',
        gap: '1rem',
        alignContent: 'baseline'
    }
}));
export default function OneColumn(props) {
    const classes = useStyles();
    const { children } = props;
    return (_jsx(Grid, { container: true, spacing: 2, children: _jsx(Grid, { item: true, xs: 12, className: classes.colStyles, children: children.map(child => {
                return child;
            }) }) }));
}
//# sourceMappingURL=OneColumn.js.map