import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card, CardContent, CardHeader, Typography } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(theme => ({
    root: {
        paddingRight: theme.spacing(1),
        paddingLeft: theme.spacing(1),
        paddingTop: theme.spacing(1),
        paddingBottom: theme.spacing(1),
        marginRight: theme.spacing(1),
        marginLeft: theme.spacing(1),
        marginTop: theme.spacing(1),
        marginBottom: theme.spacing(1)
        // borderLeft: "6px solid",
        // borderLeftColor: green[300]
    }
}));
export default function Followers(props) {
    const componentName = 'Followers';
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const { children } = props;
    const classes = useStyles();
    return (_jsxs(Card, { className: classes.root, children: [_jsx(CardHeader, { title: _jsxs(Typography, { variant: 'h6', component: 'div', children: [componentName, " - ", _jsx("em", { children: "unsupported" })] }) }), _jsx(CardContent, { children: _jsxs(Typography, { children: [componentName, " content"] }) })] }));
}
//# sourceMappingURL=Followers.js.map