import { createTheme } from '@mui/material';
// eslint-disable-next-line import/prefer-default-export
export const theme = createTheme({
    components: {
        MuiTextField: {
            defaultProps: {
                size: 'small'
            },
            styleOverrides: {
                root: {
                    width: '100%'
                }
            }
        }
    },
    palette: {
        primary: {
            contrastText: '#fff',
            dark: '#303f9f',
            light: '#7986cb',
            main: '#3f51b5'
        },
        secondary: {
            contrastText: '#fff',
            dark: '#c51162',
            light: '#ff4081',
            main: '#f50057'
        }
    }
});
//# sourceMappingURL=theme.js.map